Gönderen Konu: Ati Radeon R7 240 Kurulum Sonrası Görüntüde Bozulmalar Oldu  (Okunma sayısı 1544 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Hayırlı geceler arkadaşlar. Bugün tekrardan Ubuntu'ya geçiş yaptım.Her şey gayet iyiydi ancak ekran kartı sürücüsü kurulu değildi. Sorun yaşadığım noktalar video izlemelerde ufak tefek olunca; Amd'nin resmi sitesinden uygun sürücüyü indirdim ve linkteki yöntem ile kurdum. Kurulumda hiçbir sorun yaşamadım. Fakat bilgisayarı yeniden başlatınca ekranda yırtılmalar ve bozulmalar oluştu. Bu sorunu nasıl çözebilirim acaba ? Bu arada bu soruna forumda ve nette çözüm bulamadığım için konuyu açmak zorunda kaldım.

Kurulumu yaparken bu videodan faydalandım: https://www.youtube.com/watch?v=jUXcvZ9TAsE

Resmide daha net anlaşılsın diye ekliyorum. O bozulmalar mouse ile tıklayınca veya üzerine gelince anlık düzelip geri bozuluyor. Veya bi yerdeki düzelince başka bi yerde bozulma oluyor.



Bunlarda çıktılar:

sudo apt-get install mesa-utils

Kod: [Seç]
sudo apt-get install mesa-utils
[sudo] password for osman:
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
mesa-utils zaten en yeni sürümde (8.3.0-1).
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.

lsb_release -a

Kod: [Seç]
lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.04.1 LTS
Release: 16.04
Codename: xenial

lspci -nnk | egrep "VGA|3D|Display" -A2

Kod: [Seç]
lspci -nnk | egrep "VGA|3D|Display" -A2
02:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Oland PRO [Radeon R7 240/340] [1002:6613] (rev 87)
Subsystem: Micro-Star International Co., Ltd. [MSI] Oland PRO [Radeon R7 240/340] [1462:8094]
Kernel driver in use: amdgpu

glxinfo | grep render

Kod: [Seç]
glxinfo | grep render
direct rendering: Yes
    GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, GLX_MESA_query_renderer,
OpenGL renderer string: AMD Radeon Graphics
    GL_ARB_compute_shader, GL_ARB_conditional_render_inverted,
    GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_conditional_render,
    GL_ARB_conditional_render_inverted, GL_ARB_conservative_depth,
    GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_conditional_render,
    GL_ARB_conditional_render_inverted, GL_ARB_conservative_depth,
    GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_conditional_render,

xrandr

Kod: [Seç]
xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 16384 x 16384
HDMI-A-0 disconnected (normal left inverted right x axis y axis)
DVI-D-0 disconnected (normal left inverted right x axis y axis)
VGA-0 connected primary 1920x1080+0+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080     60.00*+
   1680x1050     59.95 
   1280x1024     75.02    60.02 
   1280x960      60.00 
   1152x864      75.00 
   1024x768      75.08    60.00 
   832x624       74.55 
   800x600       75.00    60.32    56.25 
   640x480       75.00    60.00 
   720x400       70.08 

dpkg -l | egrep "nvidia|bumblebee|nvidia-prime|fglrx" = Bu komutla alakalı ise tepki bile vermiyor, herhangi bir çıktı vermedi !


« Yanıtla #1 : »
@MexeSs Ek sürücülerde açık kaynak sürücüye geç düzelecek mi bir bak.

« Yanıtla #2 : »
@lubuntu Ek sürücülerde sadece amd cpu var. Grafik yoktur. Yalnız dün amdgpu-pro-uninstall komutu ile sildim kurduğum grafik sürücüyü. Daha sonra autoremove komutu ile de temizlik yaptım. Sorun düzeldi ancak kurulum öncesindeki akılıcık gitti. Yani sürücüyü kurmadan önce bilgisayarda anlık takılmalar bile olmuyordu. Ancak şimdi sadece bi kaç işlemde tepkimeler gecikiyor veya anlık donma yaşıyor. Rahatsız edecek düzeyde değil ancak yine de ilk an ki gibi değil. Yeniden sistem mi kurayım yoksa bi kaç gün kullanımdan sonra düzelme olur mu ?

« Yanıtla #3 : »
@MexeSs
Kod: [Seç]
sudo ubuntu-drivers list çıktısını verir misin?

« Yanıtla #4 : »
@lubuntu Şu an iş yerindeyim. Eve geçince çıktıyı eklerim.


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : 31 Ocak 2017 - 00:34:58
@lubuntu Çıktı bu şekilde.

Kod: [Seç]
sudo ubuntu-drivers list
[sudo] password for osman:
amd64-microcode

Yalnız ekran kartından dolayı Win 8.1'e geçiş yapmak zorunda kalıcam galiba çünkü henüz her bilgisayarda kurulamadığını gördüm. Tam destek Amd tarafından gelip, kurulum sonrası sorunlar giderilirse Ubuntu kullanıcam sanırım.

Çıktıyı da aynı sorunu yaşayan olursa bilgi edinsin diye ekledim. Sorun çözülmediği için çözüldü etiketi eklemiyorum. Ancak şu haliyle linux dağıtımlarını ( ekran kartı desteğinin üretici firmalar tarafından sağlıklı verilmemesinden dolayı ) sorunsuz kullanamıyorum-kullanamıyoruz.

Yine de ilgi alakanıza teşekkürler. Konu benim açımdan kilitlenebilir. Hayırlı geceler.
« Son Düzenleme: 31 Ocak 2017 - 00:34:58 Gönderen: MexeSs »

« Yanıtla #5 : »
Aynı sorunu bende yaşıyorum,

Sistemi ilk kurduğumda böyle bir sorun yoktu, AMDGPU-PRO 16.60 kurduktan sonra böyle oldu.
Ekran kartımı'da RAdeon 8500D olarak görüyor, işlemcim AMD A8-6600K. Ondan kaynaklanır diye düşünmüştüm. Sen de APU ekran kartına sahipsen bu yüzden olabilir :/


lspci  | grep VGA çıktısı:
Kod: [Seç]
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Oland PRO [Radeon R7 240/340]

« Yanıtla #6 : »
@IbrahimSerhat Yok kardeşim Apu değil sistem. Zaten ekran kartı hariç diğer donanımla alakalı bir durum değil. Amd'nin Linux'a yeterli sürücü ( Gpu Sürücüsü için diyorum )  desteği vermemesinden kaynaklanıyor. Yalnız videoyu da ekledim kurulum yardımı aldığım video yani; ve benzer bi çok video izledim hiç kimsede bu sorunu görmedim. Ama bizim kartın sürücüsünü yükleyince sorun oluyor. Bu arada benim kartı sendeki gibi Hd serisi olarak görmedi direk R7 240 olarak kurdu ve gördü ama sorun bu şekilde ortaya çıktı. Baktım ne yapsam ne etsem sağlıklı bir kurulum yapamıyorum. Bayıla bayıla kullandığım mis gibi sistemi silip Win 8.1'e geçiş yaptım. Kendime göre özelleştirmelerini yapmıştım. Tam istediğim kıvamdaydı; sırf oyun için kart sürücüsüne ihtiyaç duyduğum için kurdum. Ancak sürücüyü kurunca bu hatayı aldım. Sadece net içinde kullanmak istemedim. Çünkü sistemim baya eskiydi bu sisteme ikinci el anakart ve işlemci aldım ve power ekran kartı ekledim en sonda ram aldım. Tabi hepsini parça parça aralıklarla aldım o yüzden yeni sistem toplamadım. Cebimden en fazla 400 TL çıktı. Yeni sistem için sadece düşük-orta seviye işlemci parası yani. Yinede işimi görüyor Windows'ta fazlasıyla, ancak ben ısrarla Linux kullanmak istedim sırf bu ekran kartı saçmalığı yüzünden Windows'a dönüş yaptım. Uzun yazdım ama kusura bakmayın hem derdimi hem durumu net şekilde özetlemek istediğim için. Sistem ise aşağıdaki şekilde.

Anakart: Asus M4N78 SE
İşlemci: Amd Athlon II x4 630
Ram : 2x4 ( 8 Gb ) DDR2
Ekran Kartı : Msı R7 240 DDR3 2 Gb
Psu : 500 Watt

« Yanıtla #7 : »
Bende aynı kurulumu yaptım fakat yaptığımda, login ekranında kaldım, Kernel'i 4.8.17'ye hgüncelleyip kurduktan sonra anca işlem tamamlandı fakat dediğin hata ile karşılaştım :(

Arkadaşım da i7 işlemci r7 240 ekran kartı ile kurulum yaptı kernel 4.4 sıkıntısız oldu onda aynı işlemler sonucunda :/

« Yanıtla #8 : »
Birde şu var sanırım amd sistemlerde sıkıntı daha çok çıkıyor. Tabi yanılıyorda olabilirim ancak genelde amd sisteme sahip kişilerde bu hataları gördüm ve duydum. İntel ve Nvidia sistemlerde veya İntel Ati sistemlerde sorun daha az gibi sanki. Benim bilgisayarda şuna da dikkat ettim. Neredeyse çoğu video ve resimli anlatımda sürücüler kısmında ekran kartı sürücüleri var. Ancak benim sistemde sadece Cpu sürücüsü olarak görünüyor. Linuxta yeniyiz tabi çokta ne olduğunu anlamıyorum ama acaba bi eksiklik mi var diye de düşünmüyor değilim hani. Bu arada konuyu takibe devam ediyorum. Eğer ki bi çözüm bulursanız paylaşırsanız veya mesaj atarsanız sevinirim. Çünkü bu soruna çözüm bulduğumuz an Ubuntu ya tekrar dönüş yapıcam. Şimdilik mecburen Windowsla yola devam etmek zorundayım.

« Yanıtla #9 : »
@MexeSs

uname -r çıktısı:
Kod: [Seç]
4.9.8-040908-generic
glxinfo | grep OpenGL çıktısı:
Kod: [Seç]
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: AMD Radeon HD 8500 series
OpenGL core profile version string: 4.5.13468 Core Profile Context
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 4.5.13468 Compatibility Profile Context
OpenGL shading language version string: 4.50
OpenGL context flags: (none)
OpenGL profile mask: compatibility profile
OpenGL extensions:
OpenGL ES profile version string: 4.5.13468 Compatibility Profile Context
OpenGL ES profile shading language version string: 4.50
OpenGL ES profile extensions:


Anlayacağınız üzere Ubuntu kernel 4.9.8 kurdum, ardından update ve dist-upgrade işleminden sonra AMDGPU-PRO 16.60 kurdum.

Şu an sorunsuz bir şekilde kullanıyorum, grafik kartım R7 240< HD8500 olarak görmesi doğal OLAND grafik kartı serisi.

Eğer yine aynı hata ile karşılaşırsanız haber edin uzaktan bağlanıp yardımcı olmaya çalışayım.

« Yanıtla #10 : »
Bilgilendirme için teşekkürler. Sisteme R9 380 dahil ettim ancak onda da hiçbir linux dağıtımını kuramıyorum. Sanırım kurulumda ekran kartını desteklemiyormuş !!!! Öyle okudum netteki yazılardan. O yüzden yeni konu açtım. Bakalım kurulumu yapabilirsem ekran kartı konusunda sizden yardım isteyebilirim. Tekrardan teşekkürler.